server:
  port: 8080
spring:
  application:
    name: api-gateway
  profiles:
    active: dev
  main:
    allow-bean-definition-overriding: true
    allow-circular-references: true


logging:
  config: classpath:log/logback-${spring.profiles.active}.xml
zuul:
  ribbon:
    eager-load:
      enabled: true
      clients: heyu-api-user-api
  ignoredServices: '*'
  host:
    connect-timeout-millis: 10000
    socket-timeout-millis: 10000
  ratelimit:
    key-prefix: pig-ratelimite
    enabled: true
    repository: REDIS
    behind-proxy: true
    policies:
      sina-upms-service:
        limit: 100
        quota: 100
        refresh-interval: 3
